Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class AbstractLayer

    java.lang.Object
      org.deegree.graphics.sld.AbstractLayer

All Implemented Interfaces:
  Marshallable

Direct Known Subclasses:
  NamedLayer, UserLayer

    public abstract class AbstractLayer

extends Object
implements Marshallable

----------------------------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Katharina Lupp

Field Summary
`protected LayerFeatureConstraints` | `layerFeatureConstraints` The feature contrains
`protected String` | `name` name of the layer.
`protected List<AbstractStyle>` | `styles` the styles

Constructor Summary
`AbstractLayer(String name, LayerFeatureConstraints layerFeatureConstraints, AbstractStyle[] styles)` constructor initializing the class with the

Method Summary
`void` | `addStyle(AbstractStyle style)`
`LayerFeatureConstraints` | `getLayerFeatureConstraints()` The LayerFeatureConstraints element is optional in a NamedLayer and allows the user to specify constraints on what features of what feature types are to be selected by the named-layer reference.
`String` | `getName()` The Name element identifies the well-known name of the layer being referenced, and is required.
`AbstractStyle[]` | `getStyles()` Returns the styles associated to the Layer.
`void` | `removeStyle(AbstractStyle style)`
`void` | `setLayerFeatureConstraints(LayerFeatureConstraints layerFeatureConstraints)` sets the
`void` | `setName(String name)` sets the
`void` | `setStyles(AbstractStyle[] styles)` Adds styles to the Layer.
`String` | `toString()` returns a STring-Representation of the layer

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.deegree.framework.xml.Marshallable
`exportAsXML`

Field Detail

### layerFeatureConstraints

    protected LayerFeatureConstraints layerFeatureConstraints

  The feature contrains

### styles

    protected List<AbstractStyle> styles

  the styles

### name

    protected String name

  name of the layer.

Constructor Detail

### AbstractLayer

    AbstractLayer(String name,
                  LayerFeatureConstraints layerFeatureConstraints,
                  AbstractStyle[] styles)

  constructor initializing the class with the

  Parameters:
    `name` -
    `layerFeatureConstraints` -
    `styles` -

Method Detail

### getName

    public String getName()

  The Name element identifies the well-known name of the layer being referenced, and is required. All possible well-known names are usually identified in the capabilities document for a server.

  Returns:
    the name of the layer

### setName

    public void setName(String name)

  sets the

  Parameters:
    `name` - the name of the layer

### getLayerFeatureConstraints

    public LayerFeatureConstraints getLayerFeatureConstraints()

  The LayerFeatureConstraints element is optional in a NamedLayer and allows the user to specify constraints on what features of what feature types are to be selected by the named-layer reference. It is essentially a filter that allows the selection of fewer features than are present in the named layer.

  Returns:
    the LayerFeatureConstraints

### setLayerFeatureConstraints

    public void setLayerFeatureConstraints(LayerFeatureConstraints layerFeatureConstraints)

  sets the

  Parameters:
    `layerFeatureConstraints` - the LayerFeatureConstraints

### getStyles

    public AbstractStyle[] getStyles()

  Returns the styles associated to the Layer. This may be UserStyles or NamedStyles

  A UserStyle is at the same semantic level as a NamedStyle used in the context of a WMS. In a sense, a named style can be thought of as a reference to a hidden UserStyle that is stored inside of a map server.

  Returns:
    the Styles of the Layer as ArrayList

### setStyles

    public void setStyles(AbstractStyle[] styles)

  Adds styles to the Layer.

  Parameters:
    `styles` - the styles for the layer as Array

### addStyle

    public void addStyle(AbstractStyle style)

  Parameters:
    `style` - a style to add
  See Also:
    `getStyles()`

### removeStyle

    public void removeStyle(AbstractStyle style)

  Parameters:
    `style` - a style to remove
  See Also:
    `getStyles()`

### toString

    public String toString()

  returns a STring-Representation of the layer

  Overrides:
    `toString` in class `Object`
  Returns:
    the layer as String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org